package twi

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type TwiActTemplateRouter struct {
}

// InitTwiActTemplateRouter 初始化 TwiActTemplate 路由信息
func (s *TwiActTemplateRouter) InitTwiActTemplateRouter(Router *gin.RouterGroup) {
	twiActTemplateRouter := Router.Group("twiActTemplate").Use(middleware.OperationRecord())
	twiActTemplateRouterWithoutRecord := Router.Group("twiActTemplate")
	var twiActTemplateApi = v1.ApiGroupApp.TwiApiGroup.TwiActTemplateApi
	{
		twiActTemplateRouter.POST("createTwiActTemplate", twiActTemplateApi.CreateTwiActTemplate)   // 新建TwiActTemplate
		twiActTemplateRouter.DELETE("deleteTwiActTemplate", twiActTemplateApi.DeleteTwiActTemplate) // 删除TwiActTemplate
		twiActTemplateRouter.DELETE("deleteTwiActTemplateByIds", twiActTemplateApi.DeleteTwiActTemplateByIds) // 批量删除TwiActTemplate
		twiActTemplateRouter.PUT("updateTwiActTemplate", twiActTemplateApi.UpdateTwiActTemplate)    // 更新TwiActTemplate
	}
	{
		twiActTemplateRouterWithoutRecord.GET("findTwiActTemplate", twiActTemplateApi.FindTwiActTemplate)        // 根据ID获取TwiActTemplate
		twiActTemplateRouterWithoutRecord.GET("getTwiActTemplateList", twiActTemplateApi.GetTwiActTemplateList)  // 获取TwiActTemplate列表
	}
}
